Portfolio

Transition the state of requested transactions

PATCH/portfolio/transactions/requested

Moves one or more requested transactions to a new state (e.g. approved, rejected). Additional data such as rejection reason or settlement details may be provided.

Request body

application/json, required · PortfolioUpdateRequestedTransactionRequest

{
  "uuids": [
    "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a"
  ],
  "state": "requested",
  "rejection_reason": "string",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "price_per_unit": 1,
  "investor_id": "string"
}

Responses

200
{}
422

Validation error

Examples

curl -X PATCH https://your-org-domain/kong/core/api/v2/portfolio/transactions/requested\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "uuids": [
    "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a"
  ],
  "state": "requested",
  "rejection_reason": "string",
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "price_per_unit": 1,
  "investor_id": "string"
}'